LINUX.ORG.RU

Debian testing, сломался гуй у wireshark.

 , , , ,


0

1

Сабж. После перехода Wheezy в stable ветку, поменял в /etc/apt/sources.list wheezy на testing, после чего обновился и запускаю wireshark - самая нужная мне опция (выбираем пакет->кликаем правой кнопкой->follow $PROTOCOL stream->stream content) стала размером всего в несколько строк, при большом размере окна (пример здесь), работать жутко не комфортно. В качестве окружения - xfce. Поставил на виртуалку debian stable с 3 гномом, все ок. Обновил до testing - такая же беда. Попробовал поправить sources.list и даунгрейдить - проблема не решается.

Но зачем? Тестинг сейчас - каша и ему нужно пару месяцев повариться.
Жди пока пофиксят, ставь по новой или пользуй wireshark в виртуалке.

bubblecore ★★★★ ()
Ответ на: комментарий от bubblecore

Жди пока пофиксят, ставь по новой или пользуй wireshark в виртуалке.

Да как мне его заставить работать? aptitude remove wireshark --purge не помог. Текущий sources.list

deb http://ftp.ru.debian.org/debian/ wheezy main
deb-src http://ftp.ru.debian.org/debian/ wheezy main

deb http://security.debian.org/ wheezy/updates main
deb-src http://security.debian.org/ wheezy/updates main

# wi-fi
deb http://ftp.us.debian.org/debian wheezy main contrib non-free

oskar0609 ()
Ответ на: комментарий от oskar0609

Могу и врать, но боюсь, что никак. Поставь на виртуалку с нуля.
На будущее - бэкапы делай. И поставь remastersys, пока репы не кончились.

bubblecore ★★★★ ()
Ответ на: комментарий от bubblecore

Поставь на виртуалку с нуля.

Ты серьезно? Сабж не об этом. Wireshark чихнул и тут «усё пропало шеф, усе пропало!» переставлять дебиан? remastersys здесь ни при чем.

oskar0609 ()
Ответ на: комментарий от oskar0609

Я понимаю, что из-за такой мелочи по новой ставить не круто.
Но зачем тебе тестинг понадобился? Рано. Багов хватает и много что поломано.
А в других прогах подобный косяк не наблюдался? Попробуй тему гтк сменить (мой любимый совет) чтоли.

bubblecore ★★★★ ()
Ответ на: комментарий от bubblecore

Но зачем тебе тестинг понадобился? Рано. Багов хватает и много что поломано.

Еще раз: сабж не об этом, я просил помощи в проблеме. А не рассуждения мол, если проблема возникла значит это не хорошо.

А в других прогах подобный косяк не наблюдался? Попробуй тему гтк сменить (мой любимый совет) чтоли.

В другом софте не замечал, я про wireshark =) Темы конечно менял, результата нет.

oskar0609 ()
Ответ на: комментарий от oskar0609

aptitude -t wheezy install wireshark?

Ещё можно в /etc/apt/preferences задать wireshark'у из wheezy и его зависимостям приоритет 1001.

AITap ★★★★★ ()
Ответ на: комментарий от oskar0609

Еще раз: сабж не об этом, я просил помощи в проблеме. А не рассуждения мол, если проблема возникла значит это не хорошо.

Ещё раз, вам сказали правильно, после того как прошлый testing стал stable на место testing перенесли unstable. Поэтому в текущем testing много проблем и ошибок в работе программ, читай багов. Поэтому вам либо нужно ждать пока исправят пакет с wireshark`ом, либо, что ускорит исправление пакета, написать баг репорт в багзиллу Debian, другого совета по решению проблемы вы не найдёте.

PS: Это же testing, вот и тестируйте и отправляйте баг репорты.

kostik87 ★★★★★ ()

А собрать нужную версию wireshark у дебианщиков не принято?

quowah ()

А багрепорт отправил? послушай AITap

aptyp ★★★★ ()

даунгрейдить
Debian

Debian не поддерживает downgrade.

anonymous ()

я поддерживаю анонимуса - downgrade'a в Дебиане нету. проверено.
к тому же на сайте дебиана это написано.
так что если нужно, что бы что-то сейчас работало, выход только один - поставить стейбл

metawishmaster ★★★ ()
Ответ на: комментарий от metawishmaster

Ну тут, вроде, разговор идет про downgrade одного конкретного пакета. Да и при большом желании можно downgrade всего debian'a сделать.

Towelie ()
Ответ на: комментарий от Towelie

тада уж проще /* удалить пакет, */ скачать исходник стабильной версии, скомпилить и поставить

P.S. но все такие даунгрейды чреваты жгучей болью в области простаты %)

metawishmaster ★★★ ()
Последнее исправление: metawishmaster (всего исправлений: 1)

попробуй догнаться до сида

BMX ★★☆ ()
Ответ на: комментарий от metawishmaster

Есть. В synaptic Пакет -> Указать версию.
Как в консоли делать не разобрался толком.

Programmist11180 ★★★ ()
Ответ на: комментарий от quowah

А собрать нужную версию wireshark у дебианщиков не принято?

Пробовал, ошибки при компиляции:

epan/.libs/libwireshark.so: error: undefined reference to 'gpg_strerror'
collect2: error: ld returned 1 exit status

aptitude -t wheezy install wireshark

Спасибо тебе милый человек, все заработало! УРА! УРА! УРА! Всем спасибо кто откликнулся, проблема решена.

oskar0609 ()
Ответ на: комментарий от oskar0609

Что у вас за привычка, компилировать при каждом чихе в бинарном дистрибутиве?

Towelie ()
Ответ на: комментарий от Towelie

Что у вас за привычка, компилировать при каждом чихе в бинарном дистрибутиве?

Когда-то я был школьником использовал Gentoo.

oskar0609 ()

Откати версию или поставь из снапшота и напиши багрепорт.

Dron ★★★★★ ()
Ответ на: комментарий от oskar0609

Щас я тебе тайну открою: в man apt dpkg и мануалах, перечисленных в конце этих двух всё это описано, а так же много разного о чём местные школьники тебе не подскажут. Более того, ман открыть гораздо быстрее, чем ждать, когда дебилы на форуме разродятся ответом.

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.